# Generated from rubyntlm-0.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubyntlm

Name: rubygem-%{gem_name}
Version: 0.4.0
Release: 1%{?dist}
Summary: Ruby/NTLM library
Group: Development/Languages
License: MIT
URL: https://github.com/winrb/rubyntlm
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
BuildRequires: rubygem(rspec) 
#BuildRequires: rubygem(simplecov) 
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Ruby/NTLM provides message creator and parser for the NTLM authentication.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
 
%build
gem build %{gem_name}.gemspec
%gem_install

pushd ./%{gem_instdir}
# remove unecessary files
rm .gitignore .rspec .travis.yml

# remove simplecov dep
sed -i '1,7d' spec/spec_helper.rb

# add missing include
# https://github.com/WinRb/rubyntlm/issues/12
echo "require 'net/ntlm/version'"|cat - spec/lib/net/ntlm/version_spec.rb > tmp && mv tmp spec/lib/net/ntlm/version_spec.rb
popd


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
rspec -Ilib spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Rakefile
%doc %{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/%{gem_name}.gemspec
%doc %{gem_instdir}/spec

%changelog
* Thu May 08 2014 Mo Morsi <mmorsi@redhat.com> - 0.4.0-1
- Initial package
